utl::meta::nil_ Struct Reference

`#include <integral.h>`

## Public Types

using | type = nil_

## Detailed Description

Empty type utl::meta's nil type is not pure nil. It's a recursive "de-referencable nil. Each time someone applies ::type to it, he gets back nil_. This way we can prevent a lot of compilation errors in a wrong meta:: handling.

Definition at line 43 of file integral.h.

## Member Typedef Documentation

## type

using utl::meta::nil_::type = nil_

Definition at line 44 of file integral.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/integral.h